Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2020 12:10:42 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Why are you delivering with Saudi Post. They don’t deliver to Masturah, and fyi, we order online because we can not go to the nearest branch of MAX witch is at Rabigh. Saudi Post employee contacted me on Monday saying that I have to collect my package or at the same day or they will send it back to MAX, but I asked them to wait until Wednesday evening and they agreed. Today he contacted me again to ask why we did not collect it and I remind him that I said (Wednesday evening) and I told him that it’s not acceptable anyway that they send it back to Max but he disagreed. I wrote this story to convince you to work with another better courier. It’s really hard for some people to find a ride especially in a village like Masturah, that’s why we order online expecting a normal service and home delivery or at least giving us a chance and hold the packages for a few days.

iOS Version: 14.2
App Version: 9.2.7 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1675462